aboutsummaryrefslogtreecommitdiff
path: root/mail/imap-uw
diff options
context:
space:
mode:
authorBaptiste Daroussin <bapt@FreeBSD.org>2016-11-01 20:00:14 +0000
committerBaptiste Daroussin <bapt@FreeBSD.org>2016-11-01 20:00:14 +0000
commit42153e43850201cdeb0afc22438501b8c19e6817 (patch)
treead261d7b066d540bff326bd1cd764012bf5b1b38 /mail/imap-uw
parent98f23bae704e389ebf165b887e81c436eb7f67bc (diff)
downloadports-42153e43850201cdeb0afc22438501b8c19e6817.tar.gz
ports-42153e43850201cdeb0afc22438501b8c19e6817.zip
Revert 425074 it is still too early for that :(
Notes
Notes: svn path=/head/; revision=425076
Diffstat (limited to 'mail/imap-uw')
-rw-r--r--mail/imap-uw/pkg-req.rev23
-rw-r--r--mail/imap-uw/pkg-req.ssl27
2 files changed, 50 insertions, 0 deletions
diff --git a/mail/imap-uw/pkg-req.rev b/mail/imap-uw/pkg-req.rev
new file mode 100644
index 000000000000..33ce1bc506fe
--- /dev/null
+++ b/mail/imap-uw/pkg-req.rev
@@ -0,0 +1,23 @@
+#! /bin/sh
+# anders@fix.no, 2001-06-19
+
+if [ ! -f "$1" ]
+then
+ echo "Your installation of the cclient port is outdated. Please delete it before"
+ echo "continuing."
+ exit 1
+fi
+
+portver=`grep "^#define CCLIENT_PORTVERSION" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+if [ "$portver" = "$2" ]
+then
+ echo "Your imap-uw port matches the version of your cclient port. Fine."
+ exit 0
+else
+ echo "Your cclient port (PORTVERSION $portver) does not match the version of imap-uw"
+ echo "(PORTVERSION $2) you are trying to install. Please delete your"
+ echo "installation of the cclient port before continuing."
+ exit 1
+fi
diff --git a/mail/imap-uw/pkg-req.ssl b/mail/imap-uw/pkg-req.ssl
new file mode 100644
index 000000000000..881c5ef9049e
--- /dev/null
+++ b/mail/imap-uw/pkg-req.ssl
@@ -0,0 +1,27 @@
+#! /bin/sh
+# anders@fix.no, 2001-06-19
+
+sslenabled=`grep "^#define CCLIENT_SSLENABLED" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+case $2 in
+yes)
+ if [ "$sslenabled" = "yes" ]
+ then
+ echo "SSL check passed. We want SSL support, and cclient has it. Good."
+ exit 0
+ else
+ echo "SSL check failed. We want SSL support, but cclient doesn't have it."
+ echo "Please recompile and reinstall the cclient port with WITH_SSL=yes set."
+ exit 1
+ fi
+ ;;
+*)
+ if [ "$sslenabled" = "yes" ]
+ then
+ echo "You did not want SSL (by not defining WITH_SSL). Funny thing is, your cclient"
+ echo "port has SSL support installed."
+ exit 0
+ fi
+ ;;
+esac